
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jackson-coreutils}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.0.redhat-1

Name:           %{?scl_prefix}jackson-coreutils
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Various utilities over Jackson (2.1.x)
Group:          Development/Java

%if %with mead
Source100: jackson-coreutils-1.0.0.redhat-1-scm-sources.zip
Source102: jackson-coreutils-1.0.0.redhat-1-project-sources.tar.gz
Source103: jackson-coreutils-1.0.0.redhat-1.pom
Source104: jackson-coreutils-1.0.0.redhat-1-sources.jar
Source105: jackson-coreutils-1.0.0.redhat-1.jar
%endif

License:        LGPLv3+
URL:            https://github.com/fge/jackson-coreutils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jackson-coreutils
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-coreutils -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-coreutils-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-coreutils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-coreutils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-coreutils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-coreutils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-coreutils-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-coreutils-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-coreutils-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-coreutils-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-coreutils-%{namedversion} %{buildroot}%{_javadocdir}/jackson-coreutils
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.markdown
%{_javadir}/jackson-coreutils-%{namedversion}.jar
%{_javadir}/jackson-coreutils.jar
%if %with javadoc
%{_javadir}/jackson-coreutils-%{namedversion}-javadoc.jar
%{_javadir}/jackson-coreutils-javadoc.jar
%endif
%{_javadir}/jackson-coreutils-%{namedversion}-sources.jar
%{_javadir}/jackson-coreutils-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-coreutils-%{namedversion}
%{_javadocdir}/jackson-coreutils
%endif

%changelog
* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1
